# $Id: perl-WWW-Babelfish.spec 4743 2006-09-19 07:18:10Z dries $
# Authority: dries
# Upstream: Dan Urist <durist$frii,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name WWW-Babelfish

Summary: Perl extension for translation via babelfish
Name: perl-WWW-Babelfish
Version: 0.15
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/WWW-Babelfish/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/D/DU/DURIST/WWW-Babelfish-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
This module is a simple perl front-end to the Babelfish translation
server.  It's more fun than useful, but it might have a place in
IRC/talk clients or perhaps a translating web proxy. It makes an
attempt at breaking longer pieces of text up into chunks that
Babelfish can handle and then reassembling them. This version also
contains preliminary support for the Google translation engine.

%prep
%setup -n %{real_name}-%{version}

%build
echo | %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/WWW/Babelfish.pm
%{perl_vendorlib}/auto/WWW/Babelfish

%changelog
* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 0.15-1 - 4743/dries
- Updated to release 0.15.

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 0.14-1
- Updated to release 0.14.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.13-1.2
- Rebuild for Fedora Core 5.

* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 0.13-1
- Updated to release 0.13.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.12-1
- Initial package.
